Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoLinearFitScaling< EOT > Class Template Reference

An instance of eoPerf2Worth COmputes the linearly scaled fitnesses with given selective pressure Pselect(Best) == pressure/sizePop Pselect(average) == 1.0/sizePop truncate negative values to 0 -. More...

`#include <eoLinearFitScaling.h>`

Inheritance diagram for eoLinearFitScaling< EOT >:

List of all members.

## Public Member Functions
| eoLinearFitScaling (double _p=2.0)
virtual void | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
double | pressure

## Detailed Description

### template<class EOT>
class eoLinearFitScaling< EOT >

An instance of eoPerf2Worth COmputes the linearly scaled fitnesses with given selective pressure Pselect(Best) == pressure/sizePop Pselect(average) == 1.0/sizePop truncate negative values to 0 -.

to be used within an eoSelectFromWorth object

Definition at line 43 of file eoLinearFitScaling.h.

The documentation for this class was generated from the following file:

- eoLinearFitScaling.h